Hi everyone!
Why didn’t the gumball appear after selecting this object and completing the selection?
private void SelectByBox()
{
var get = new GetObject();
get.SetCommandPrompt("selectedObjects");
get.SetCustomGeometryFilter(ConstructFilter);
get.GetMultiple(1, 0);
var objects = get.Objects();
if (objects != null)
{
foreach (var item in objects)
{
_service.Doc.Objects.Select(item);
}
}
}
I have to execute the following code to re-display the gumball . Is there a better way?
public static void ActivateGumball()
{
Rhino.RhinoApp.RunScript("'SetRedrawOff", false);
RhinoDoc.ActiveDoc.Views.Redraw();
Rhino.RhinoApp.RunScript("'SetRedrawOn", false);
}